MediaWiki:Timeless.css

From Mamiya Wiki
Revision as of 00:16, 2 August 2023 by Mamiyawiki (talk | contribs)

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Internet Explorer / Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5
  • Opera: Press Ctrl-F5.
/* All CSS here will be loaded for users of the Timeless skin */
/*
==================
     GENERAL
==================/*

/* Site Background */

#mw-header-container {
    background: var(--darkmode);
}

#mw-content {
    background: var(--darkmode);
    border: solid 1px #000;
}

#mw-content-container {
    background-attachment: fixed !important;
    background-size: 100% !important;
    background-position: top;
    background-image: url("https://cdn.discordapp.com/attachments/970097659719327744/1124436417104334948/tokyo3.jpg");
}

/* #mw-content-wrapper {
    background: var(--darkmode);
} */

code, pre, .mw-code {
    color: var(--precolorText);
    background-color: var(--precolor);
    border: solid 1px #000;
}

#personal .dropdown {
    background: var(--darkmode);
}

#mw-site-navigation .sidebar-chunk {
    border: solid 1px #000;
    background: var(--darkmode);
}

#mw-related-navigation .sidebar-chunk {
    border: solid 1px #000;
    background: var(--darkmode);
}

ul#filetoc, .toc, .toccolours, .mw-warning {
    border: solid 1px #000;
    background: #22292E;
}

.thumbinner {
    background: #1B2028;
    border: #fff;
    border-width: 1px 1px 0.2em;
    padding: 1.25em 1.75em;
}

ol.references li:target, sup.reference:target {
    background-color: #175d25;
}

.mw-specialCiteThisPage-bibliographic {
    background-color: var(--precolor);
}

.wikitable > tr > th, .wikitable > * > tr > th {
	background-color: #bdc5d8;
	text-align: center;
	color: black;
	border: 1px solid #2d110b !important;
}

.mw-body .mw-rcfilters-ui-changesListWrapperWidget .mw-changeslist-legend, .mw-changeslist-legend, .mw-body .mw-search-profile-tabs, .mw-body fieldset#mw-searchoptions, .mw_metadata, .wikitable, .mw-datatable {
    color: var(--precolorText);
    background: var(--precolor);
}

#catlinks {
    margin: 0em;
    padding: 0.5em 0.75em 0.25em .75em;
    background-color: var(--precolor);
}

.sidebar-inner, .dropdown {
    border: solid var(--border-dark);
    background: var(--darkmode);
}

#menus-cover {
    background: var(--mamiya);
}

.sidebar-inner, .dropdown {
    border: solid var(--border-dark);
    background: var(--darkmode);
}

/* Text CSS */

body {
    color: #d1d6ca;
	line-height: 1.6;
	background: #000;
}

a {
    color: var(--natsume);
}

a:visited {
    color: #a38a22;
}

a:hover {
    color: #ffee00;
}

a:visited:hover {
    color: #dcb71c;
}

a.new, .new a {
    color: #ae4444;
}

.mw-parser-output a.extiw, .mw-parser-output a.extiw:active, .mw-parser-output a.external {
    color: var(--natsume);
}

.mw-parse-output a.extiw:hover, .mw-parser-output a.extiw:active:hover, .mw-parser-output a.external:hover {
    color: #ffee00;
}

.mw-parser-output a.extiw:visited, .mw-parser-output a.extiw:active:visited, .mw-parser-output a.external:visited {
    color: #a38a22;
}

.mw-parser-output a.extiw:visited:hover, .mw-parser-output a.extiw:active:visited:hover, .mw-parser-output a.external:visited:hover {
    color: #dcb71c;
}

.tools-inline li.selected a {
    color: var(--natsume);
}

table {
	border-collapse: separate;
	border-spacing: 2px;
}

blockquote {
    border-left: 3px solid var(--yumehisa);
    padding-left: 1em;
    font-family: 'KozGoPro';
}

#mw-body h2 { overflow-y: hidden; }

.mw-body .mw-parser-output h1::after, .mw-body .mw-parser-output h2::after {
	content: '';
	display: block;
	border-bottom: solid 2px #c8ccd1;
	overflow: hidden;
}

#mw-body div.floatright, table.floatright { margin: 0 0 .5em .5em; }
#mw-body div.floatleft,table.floatleft { margin: 0 .5em .5em 0; }

#p-logo-text {
    max-width: 20em;
}

#p-logo-text a {
    color: #fff;
	font-family: 'KozGoPro', normal;
	text-transform: uppercase;
	font-weight: 400;
}

/* Navigation */
#simpleSearch {
    background: #d1d6ca;
    border: solid 1px var(--border-dark);
}

#searchInput {
    background: #d1d6ca;
}

#mw-site-navigation .mw-portlet h3 {
	text-transform: uppercase;
    font-family: 'KozGoPro';
	font-weight: 700;
}
#mw-site-navigation .mw-portlet h3::before {
	content: '🌖';
	color: #ffffff;
}

.toctitle #mw-toc-heading {
    font-family: 'KozGoPro';
}

#mw-header-container h2 {
    color: var(--natsume);
}

#personal .dropdown h3 {
    border-bottom: solid 2px var(--yumehisa);
}

#mw-header-container h3 {
    color: var(--yumehisa);
}

#mw-header-nav-hack {
	border-top: 0px;
	display: block;
	position: absolute;
	z-index: 98;
	background: #1B1F1E00;
	width: 100%;
}

/* Editing Page */

form:not(.oo-ui-layout) textarea, form:not(.oo-ui-layout) input {
    border: solid 1px #000;
    border-radius: 2px;
}

.editOptions {
    color: #f4eedc;
}

div.editOptions {
    border: solid #000;
    border-width: 0 1px 0.2em;
    background: #1B2028;
}

/* Navbar Colours */

.color-left {
    background: var(--protag)!important;
}
.color-middle {
    background: var(--yumehisa)!important;
}
.color-right {
    background: var(--natsume)!important;
}

/* Heading Fonts */

#mw-content h1, #mw-content h2, #mw-content h3, #mw-content h4, #mw-content h5, #mw-content h6, #mw-content dt {
    font-family: 'KozGoPro';
}

#mw-content .list h5 {
    margin-top: 1em;
}

#mw-content h2.welcomeheader {
    border-bottom: none;
    font-size: 1.8rem;
}

#mw-content h5 span.mw-headline {
    font-weight: bold;
    font-size: 1.25rem;
}

#mw-content h1.firstHeading {
     font-family: 'KozGoPro';
     border-bottom: solid 4px var(--yumehisa);
}

#mw-footer-container { 
    border-top: 4px solid var(--yumehisa); 
}

#mw-footer-container a { 
    color: var(--natsume); 
}

#mw-content-container {
    border-bottom: none;
}